# frozen_string_literal: true

require_relative "lib/whatdidconsole/version"

Gem::Specification.new do |s|
  s.name          = 'whatdidconsole'
  s.version       = Whatdidconsole::VERSION
  s.summary       = "Never wonder how changes happened in Rails production console again."
  s.description   = "Keep track of production accesses and actions. Your team get notified of any production changes, making it easier to mitigate security issues and production bugs."
  s.authors       = ["Bryan FRIMIN, Charly POLY, David RUYER"]
  s.email         = 'support@whatdidconsole.com'
  s.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  s.bindir        = "exe"
  s.executables   = s.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  s.require_paths = ["lib"]
  s.homepage      = 'https://whatdidconsole.com/'
  s.license       = '© 2021 - Honest Engineering product'
  s.required_ruby_version = Gem::Requirement.new(">= 2.4.0")
end